library verilog;
use verilog.vl_types.all;
entity synSigma_Delta_Modulator_Sigma_Delta_Modulator_1st_order_D0_Register is
    port(
        N_10            : in     vl_logic_vector(19 downto 19);
        N_6             : in     vl_logic_vector(1 downto 1);
        SD_Mod_Select   : in     vl_logic_vector(1 downto 0);
        tmpOut          : out    vl_logic_vector(0 downto 0);
        N_4             : out    vl_logic_vector(16 downto 1);
        tmpOutPre_i_0   : in     vl_logic_vector(19 downto 6);
        tmpOutPre       : in     vl_logic_vector(21 downto 20);
        clk             : in     vl_logic;
        N_5             : out    vl_logic;
        N_89            : in     vl_logic;
        GlobalReset     : in     vl_logic;
        un1_rst_1       : in     vl_logic;
        N_35            : in     vl_logic;
        N237_i_0        : in     vl_logic;
        rst_1           : in     vl_logic
    );
end synSigma_Delta_Modulator_Sigma_Delta_Modulator_1st_order_D0_Register;
